weipa::VarInfo Struct Reference

`#include <EscriptDataset.h>`

## Public Attributes

std::string | varName
std::string | units
DataChunks | dataChunks
IntVec | sampleDistribution
bool | valid

## Member Data Documentation

## dataChunks

DataChunks weipa::VarInfo::dataChunks

Referenced by weipa::EscriptDataset::addData(), weipa::EscriptDataset::convertMeshVariables(), weipa::EscriptDataset::loadData(), weipa::EscriptDataset::putSiloMultiTensor(), weipa::EscriptDataset::updateSampleDistribution(), and weipa::EscriptDataset::writeVarToVTK().

## sampleDistribution

IntVec weipa::VarInfo::sampleDistribution

Referenced by weipa::EscriptDataset::putSiloMultiTensor(), weipa::EscriptDataset::putSiloMultiVar(), and weipa::EscriptDataset::updateSampleDistribution().

## units

std::string weipa::VarInfo::units

Referenced by weipa::EscriptDataset::addData(), and weipa::EscriptDataset::loadData().

## valid

bool weipa::VarInfo::valid

Referenced by weipa::EscriptDataset::addData(), weipa::EscriptDataset::convertMeshVariables(), and weipa::EscriptDataset::loadData().

## varName

std::string weipa::VarInfo::varName

Referenced by weipa::EscriptDataset::addData(), weipa::EscriptDataset::convertMeshVariables(), weipa::EscriptDataset::loadData(), weipa::EscriptDataset::putSiloMultiTensor(), weipa::EscriptDataset::putSiloMultiVar(), weipa::EscriptDataset::saveVTKsingle(), and weipa::EscriptDataset::writeVarToVTK().

The documentation for this struct was generated from the following file:

- EscriptDataset.h